#!/usr/bin/perl
use strict;


# Anzahl der Zufallszahlen
my $count = 6;

# Obergrenze der Zufallszahlen
my $Maximum = 49;

# --------------------------------------------------------------
# Main
# --------------------------------------------------------------

my %zahlen = ();
# Zufallszahlengenerator initialisieren
srand(time ^ $$);

# Zufallszahlen ausgeben
for (1 .. $count)
  { print &ZufallsZahl($Maximum), "\n"; }

# Zufallszahl erzeugen, dabei Doubletten vermeiden
sub ZufallsZahl #($top)
  {
  my $top = shift;
  my $zahl;
  do
    { $zahl = int(rand($top) + 1); }
  while (exists($zahlen{$zahl}));
  $zahlen{$zahl} = 1;
  return $zahl;
  }